#
# Conditional build:
%bcond_without	python2	# Python 2 module
%bcond_without	python3	# Python 3 module

Summary:	sepolgen - Python 2 module for policy generation
Summary(pl.UTF-8):	Moduł Pythona 2 sepolgen do generowania polityki
Name:		python-sepolgen
Version:	1.2.3
Release:	2
License:	GPL v2
Group:		Development/Languages/Python
#Source0Download: https://github.com/SELinuxProject/selinux/wiki/Releases
Source0:	https://raw.githubusercontent.com/wiki/SELinuxProject/selinux/files/releases/20160223/sepolgen-%{version}.tar.gz
# Source0-md5:	d17b4072ed14d1f8d94ffd667ddc2864
URL:		https://github.com/SELinuxProject/selinux/wiki
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python >= 2
BuildRequires:	python-modules >= 2
%endif
%if %{with python2}
BuildRequires:	python3 >= 1:3.2
BuildRequires:	python3-modules >= 1:3.2
%endif
Requires:	%{name}-common = %{version}-%{release}
Requires:	python-selinux >= 2.5
Suggests:	python-setools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
sepolgen - Python module for policy generation.

%description -l pl.UTF-8
Moduł Pythona sepolgen do generowania polityki.

%package common
Summary:	Common files for sepolgen Python modules
Summary(pl.UTF-8):	Pliki wspólne dla modułów Pythona sepolgen
Group:		Development/Languages/Python

%description common
Common files for sepolgen Python modules.

%description common -l pl.UTF-8
Pliki wspólne dla modułów Pythona sepolgen.

%package -n python3-sepolgen
Summary:	sepolgen - Python 3 module for policy generation
Summary(pl.UTF-8):	Moduł Pythona 3 sepolgen do generowania polityki
Group:		Development/Languages/Python
Requires:	%{name}-common = %{version}-%{release}
Requires:	python3-selinux >= 2.5
# TODO: uncomment when setools supports python 3 (3.3.8 doesn't)
#Suggests:	python3-setools

%description -n python3-sepolgen
sepolgen - Python module for policy generation.

%description -n python3-sepolgen -l pl.UTF-8
Moduł Pythona sepolgen do generowania polityki.

%prep
%setup -q -n sepolgen-%{version}

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PYTHON=%{__python} \
	PYTHONLIBDIR=%{py_sitescriptdir}

%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_postclean
%endif

%if %{with python3}
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	PYTHON=%{__python3} \
	PYTHONLIBDIR=%{py3_sitescriptdir}

%py3_comp $RPM_BUILD_ROOT%{py3_sitescriptdir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitescriptdir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{py_sitescriptdir}/sepolgen
%{py_sitescriptdir}/sepolgen/*.py[co]

%files common
%defattr(644,root,root,755)
%doc ChangeLog
%dir /var/lib/sepolgen
/var/lib/sepolgen/perm_map

%files -n python3-sepolgen
%defattr(644,root,root,755)
%dir %{py3_sitescriptdir}/sepolgen
%{py3_sitescriptdir}/sepolgen/*.py
%{py3_sitescriptdir}/sepolgen/__pycache__
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-sepolgen.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> ce1480c
- python 3.6
- release 2 (by relup.sh)

* Sat Oct 15 2016 Jakub Bogusz <qboosh@pld-linux.org> dd40de4
- comment on setools

* Sat Oct 15 2016 Jakub Bogusz <qboosh@pld-linux.org> 0264e05
- added python3 module

* Thu Oct 13 2016 Jakub Bogusz <qboosh@pld-linux.org> db7ad6a
- updated to 1.2.3

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8ba264a
- release 2 (by relup.sh)

* Sun Oct 25 2015 Jakub Bogusz <qboosh@pld-linux.org> a416912
- new URLs, updated to 1.2.2

* Thu Mar 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 3bc241d
- updated to 1.2.1

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> e782910
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bd92371
- release 2

* Mon Jun 21 2010 Jakub Bogusz <qboosh@pld-linux.org> b4c2003
- new URLs, updated to 1.0.23

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> d75dcc2
- release 3

* Wed Oct 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 987e2f1
- release 2

* Wed Sep 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 0c568d7
- updated to 1.0.11

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> a8380ff
- updated to 1.0.10

* Fri Apr 06 2007 Jakub Bogusz <qboosh@pld-linux.org> 749ee84
- new

